### Function

# EBookContacts VCardForeachFunc

since: 3.60

#### Declaration

    gboolean
    (* EVCardForeachFunc) (
      EVCard* vcard,
      EVCardAttribute* attr,
      gpointer user_data
    )

#### Description [src]

A callback prototype for `e_vcard_foreach()` and e_vcard_foreach_remove().

Available since: 3.60

#### Parameters

`vcard`

  Type: `EVCard`

  An `EVCard`.

  The data is owned by the caller of the function.

`attr`

  Type: `EVCardAttribute`

  An `EVCardAttribute`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

The value depends on the function it is used with; see its documentation for more information.